Mercury library 1.0 Translation of CFG grammars into an object model (Bachelor's thesis).

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
Mercury.Interpreting.InterpreterContext< T > Class Template Referenceabstract

Interpreter Context class. Some languages may use it to override it and remember data when parse trees are being interpreted. More...

Inherited by Mercury.Interpreting.InternalContext< T >.

## Public Member Functions
| InterpreterContext ()
| Initializes a new instance of the InterpreterContext{T} class. More...
abstract InterpreterContext< T > | DeepClone ()
| Creates a deep copy of the object More...
abstract void | CopyFrom (InterpreterContext< T > other)
| Copies data from another context More...
void | LogEntry (string text, params object[] args)
| Logs an event into the history. More...

## Properties
TreeEntry< T > | RootEntry`[get]`
| Records history (trees, rules, events etc.) that occured while interpreting a tree. Mercury.Interpreting.EntryWriter{T} can be used to format the data into a text writer. More...

## Detailed Description

Interpreter Context class. Some languages may use it to override it and remember data when parse trees are being interpreted.

Type Constraints

  T | : | class |

Definition at line 18 of file InterpreterContext.cs.

## Constructor & Destructor Documentation

Mercury.Interpreting.InterpreterContext< T >.InterpreterContext | ( |  | ) |

Initializes a new instance of the InterpreterContext{T} class.

Definition at line 55 of file InterpreterContext.cs.

## Member Function Documentation

abstract void Mercury.Interpreting.InterpreterContext< T >.CopyFrom | ( | InterpreterContext< T > | other | ) |
| pure virtual

Copies data from another context

abstract InterpreterContext<T> Mercury.Interpreting.InterpreterContext< T >.DeepClone | ( |  | ) |
| pure virtual

Creates a deep copy of the object

Returns
  The context.

void Mercury.Interpreting.InterpreterContext< T >.LogEntry | ( | string | text,
|  | params object[] | args
| ) |  |

Logs an event into the history.

Parameters

  text | Event message.
  args | Format arguments.

Definition at line 80 of file InterpreterContext.cs.

## Property Documentation

TreeEntry<T> Mercury.Interpreting.InterpreterContext< T >.RootEntry
| get

Records history (trees, rules, events etc.) that occured while interpreting a tree. Mercury.Interpreting.EntryWriter{T} can be used to format the data into a text writer.

Definition at line 66 of file InterpreterContext.cs.

The documentation for this class was generated from the following file:

- Mercury/Mercury/Interpreting/InterpreterContext.cs